﻿  


 

using System; 
using SuValue.Database;

namespace SuValue.Entity
{
    
    [Serializable]
    public partial class da_report  
    {

		
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("ID", false, false)]
        public  int  ID { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("charttype", false, false)]
        public  int  charttype { get; set; }

	 
        /// <summary>
        ///  sql执行语句（{wh}及{w}为占位符）
        /// </summary>
		[ColumnAttribute("ExecSql", false, false)]
        public  String  ExecSql { get; set; }

	 
        /// <summary>
        ///  报表标题
        /// </summary>
		[ColumnAttribute("title", false, false)]
        public  String  title { get; set; }

	 
        /// <summary>
        ///  对比时sql执行语句（{wh}及{w}为占位符）
        /// </summary>
		[ColumnAttribute("ContSql", false, false)]
        public  String  ContSql { get; set; }

	 
        /// <summary>
        ///  X轴单位
        /// </summary>
		[ColumnAttribute("XUnit", false, false)]
        public  String  XUnit { get; set; }

	 
        /// <summary>
        ///  Y轴单位
        /// </summary>
		[ColumnAttribute("YUnit", false, false)]
        public  String  YUnit { get; set; }

	 
        /// <summary>
        ///  值单位
        /// </summary>
		[ColumnAttribute("VUnit", false, false)]
        public  String  VUnit { get; set; }

	 
        /// <summary>
        ///  模板ID（dic_reporttemplate）
        /// </summary>
		[ColumnAttribute("ReportTemplateId", false, false)]
        public  int  ReportTemplateId { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("SpecialType", false, false)]
        public  int  SpecialType { get; set; }

	 
        /// <summary>
        ///  是否提供对比功能（1是   0否）
        /// </summary>
		[ColumnAttribute("NeedContrast", false, false)]
        public  bool  NeedContrast { get; set; }

	 
        /// <summary>
        ///  对比是否需要求平均（1是  0否）
        /// </summary>
		[ColumnAttribute("NeedAvg", false, false)]
        public  bool  NeedAvg { get; set; }

	 
        /// <summary>
        ///  X轴标题
        /// </summary>
		[ColumnAttribute("XTitle", false, false)]
        public  String  XTitle { get; set; }

	 
        /// <summary>
        ///  Y轴标题
        /// </summary>
		[ColumnAttribute("YTitle", false, false)]
        public  String  YTitle { get; set; }

	 
        /// <summary>
        ///  值标题
        /// </summary>
		[ColumnAttribute("VTitle", false, false)]
        public  String  VTitle { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("formula", false, false)]
        public  String  formula { get; set; }

	 
        /// <summary>
        ///  菜单ID
        /// </summary>
		[ColumnAttribute("menuID", false, false)]
        public  int  menuID { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("sort", false, false)]
        public  int  sort { get; set; }

	 
        /// <summary>
        ///  1标题需要进行小于百分2的类型进行合并
        /// </summary>
		[ColumnAttribute("datatype", false, false)]
        public  int  datatype { get; set; }

	      }

  
    [Serializable]
    public partial class da_selection  
    {

		
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("ID", false, true)]
        public  int  ID { get; set; }

	 
        /// <summary>
        ///  菜单ID
        /// </summary>
		[ColumnAttribute("menuId", false, false)]
        public  int  menuId { get; set; }

	 
        /// <summary>
        ///  条件标题
        /// </summary>
		[ColumnAttribute("title", false, false)]
        public  String  title { get; set; }

	 
        /// <summary>
        ///  排序
        /// </summary>
		[ColumnAttribute("sort", false, false)]
        public  String  sort { get; set; }

	 
        /// <summary>
        ///  条件SQL语句
        /// </summary>
		[ColumnAttribute("execSql", false, false)]
        public  String  execSql { get; set; }

	 
        /// <summary>
        ///  条件类型（1固定条件，2需要通过语句获取）
        /// </summary>
		[ColumnAttribute("type", false, false)]
        public  int  type { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("values", false, false)]
        public  String  values { get; set; }

	 
        /// <summary>
        ///  控件名称
        /// </summary>
		[ColumnAttribute("cName", false, false)]
        public  String  cName { get; set; }

	 
        /// <summary>
        ///  控件类型（1单选、2多选、3自动补全）
        /// </summary>
		[ColumnAttribute("ctype", false, false)]
        public  int  ctype { get; set; }

	 
        /// <summary>
        ///  是否必填(1表示必填0表示非必填）
        /// </summary>
		[ColumnAttribute("required", false, false)]
        public  int  required { get; set; }

	      }

  
    [Serializable]
    public partial class sms_mt  
    {

		
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("ID", false, true)]
        public  int  ID { get; set; }

	 
        /// <summary>
        ///  创建用户id
        /// </summary>
		[ColumnAttribute("CreateUser", false, false)]
        public  int  CreateUser { get; set; }

	 
        /// <summary>
        ///  时间
        /// </summary>
		[ColumnAttribute("CreateDate", false, false)]
        public  DateTime  CreateDate { get; set; }

	 
        /// <summary>
        ///  手机号
        /// </summary>
		[ColumnAttribute("Mobile", false, false)]
        public  String  Mobile { get; set; }

	 
        /// <summary>
        ///  验证码
        /// </summary>
		[ColumnAttribute("Message", false, false)]
        public  String  Message { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("ErrorMessage", false, false)]
        public  String  ErrorMessage { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("SMSType", false, false)]
        public  int  SMSType { get; set; }

	 
        /// <summary>
        ///  发送短信类型 1登陆 2修改
        /// </summary>
		[ColumnAttribute("MessageType", false, false)]
        public  int  MessageType { get; set; }

	      }

  
    [Serializable]
    public partial class sys_area  
    {

		
        /// <summary>
        ///  行政代码
        /// </summary>
		[ColumnAttribute("Code", false, true)]
        public  String  Code { get; set; }

	 
        /// <summary>
        ///  行政区
        /// </summary>
		[ColumnAttribute("Name", false, false)]
        public  String  Name { get; set; }

	 
        /// <summary>
        ///  医院库名前6位码
        /// </summary>
		[ColumnAttribute("HosCode", false, false)]
        public  String  HosCode { get; set; }

	      }

  
    [Serializable]
    public partial class sys_atc  
    {

		
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("ID", false, true)]
        public  int  ID { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("ATC", false, false)]
        public  String  ATC { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("drugName", false, false)]
        public  String  drugName { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("pinYin", false, false)]
        public  String  pinYin { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("firstCode", false, false)]
        public  String  firstCode { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("firstDescription", false, false)]
        public  String  firstDescription { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("secondCode", false, false)]
        public  String  secondCode { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("secondDescription", false, false)]
        public  String  secondDescription { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("threeCode", false, false)]
        public  String  threeCode { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("threeDescription", false, false)]
        public  String  threeDescription { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("fourCode", false, false)]
        public  String  fourCode { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("fourDescription", false, false)]
        public  String  fourDescription { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("fiveCode", false, false)]
        public  String  fiveCode { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("fiveDescription", false, false)]
        public  String  fiveDescription { get; set; }

	      }

  
    [Serializable]
    public partial class sys_disease  
    {

		
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("ID", false, true)]
        public  int  ID { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("DiseaseName", false, false)]
        public  String  DiseaseName { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("IsEnable", false, false)]
        public  int  IsEnable { get; set; }

	      }

  
    [Serializable]
    public partial class sys_drug  
    {

		
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("ID", false, true)]
        public  int  ID { get; set; }

	 
        /// <summary>
        ///  商品名称
        /// </summary>
		[ColumnAttribute("drug_name", false, false)]
        public  String  drug_name { get; set; }

	 
        /// <summary>
        ///  通用名
        /// </summary>
		[ColumnAttribute("common_Name", false, false)]
        public  String  common_Name { get; set; }

	      }

  
    [Serializable]
    public partial class sys_drug_info  
    {

		
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("ID", false, false)]
        public  int  ID { get; set; }

	 
        /// <summary>
        ///  atc编码
        /// </summary>
		[ColumnAttribute("atcCode", false, false)]
        public  String  atcCode { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("genericName", false, false)]
        public  String  genericName { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("iDrugName", false, false)]
        public  String  iDrugName { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("medicArea", false, false)]
        public  String  medicArea { get; set; }

	 
        /// <summary>
        ///  医院id
        /// </summary>
		[ColumnAttribute("hosId", false, false)]
        public  int  hosId { get; set; }

	 
        /// <summary>
        ///  商品名
        /// </summary>
		[ColumnAttribute("drugName", false, false)]
        public  String  drugName { get; set; }

	 
        /// <summary>
        ///  标准产地名
        /// </summary>
		[ColumnAttribute("manufacturerSource", false, false)]
        public  String  manufacturerSource { get; set; }

	 
        /// <summary>
        ///  剂型
        /// </summary>
		[ColumnAttribute("dosage", false, false)]
        public  String  dosage { get; set; }

	 
        /// <summary>
        ///  病种id
        /// </summary>
		[ColumnAttribute("diseaseId", false, false)]
        public  int  diseaseId { get; set; }

	      }

  
    [Serializable]
    public partial class sys_group  
    {

		
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("ID", false, true)]
        public  int  ID { get; set; }

	 
        /// <summary>
        ///  医院id
        /// </summary>
		[ColumnAttribute("HospitalId", false, false)]
        public  int  HospitalId { get; set; }

	 
        /// <summary>
        ///  组名
        /// </summary>
		[ColumnAttribute("GroupName", false, false)]
        public  String  GroupName { get; set; }

	 
        /// <summary>
        ///  描述
        /// </summary>
		[ColumnAttribute("Description", false, false)]
        public  String  Description { get; set; }

	 
        /// <summary>
        ///  有效状态（0有效  1无效）
        /// </summary>
		[ColumnAttribute("States", false, false)]
        public  int  States { get; set; }

	 
        /// <summary>
        ///  创建用户id
        /// </summary>
		[ColumnAttribute("CreateUserId", false, false)]
        public  int  CreateUserId { get; set; }

	 
        /// <summary>
        ///  创建日期
        /// </summary>
		[ColumnAttribute("CreateDate", false, false)]
        public  DateTime  CreateDate { get; set; }

	      }

  
    [Serializable]
    public partial class sys_hospital  
    {

		
        /// <summary>
        ///  医院id
        /// </summary>
		[ColumnAttribute("ID", false, true)]
        public  int  ID { get; set; }

	 
        /// <summary>
        ///  医院名称
        /// </summary>
		[ColumnAttribute("HosName", false, false)]
        public  String  HosName { get; set; }

	 
        /// <summary>
        ///  短名称
        /// </summary>
		[ColumnAttribute("ShortName", false, false)]
        public  String  ShortName { get; set; }

	 
        /// <summary>
        ///  医院等级
        /// </summary>
		[ColumnAttribute("HosLevel", false, false)]
        public  String  HosLevel { get; set; }

	 
        /// <summary>
        ///  医院类型
        /// </summary>
		[ColumnAttribute("HosType", false, false)]
        public  String  HosType { get; set; }

	 
        /// <summary>
        ///  行政区域代码
        /// </summary>
		[ColumnAttribute("AreaCode", false, false)]
        public  String  AreaCode { get; set; }

	 
        /// <summary>
        ///  医院库存放服务器
        /// </summary>
		[ColumnAttribute("DataSource", false, false)]
        public  String  DataSource { get; set; }

	 
        /// <summary>
        ///  排序
        /// </summary>
		[ColumnAttribute("Sort", false, false)]
        public  int  Sort { get; set; }

	 
        /// <summary>
        ///  有效状态（0有效  1无效）
        /// </summary>
		[ColumnAttribute("States", false, false)]
        public  int  States { get; set; }

	 
        /// <summary>
        ///  备注
        /// </summary>
		[ColumnAttribute("Remarks", false, false)]
        public  String  Remarks { get; set; }

	 
        /// <summary>
        ///  首页显示数据的年份
        /// </summary>
		[ColumnAttribute("ShowYear", false, false)]
        public  int  ShowYear { get; set; }

	 
        /// <summary>
        ///  是否计入接入医院数
        /// </summary>
		[ColumnAttribute("IsCount", false, false)]
        public  int  IsCount { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("login", false, false)]
        public  String  login { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("password", false, false)]
        public  String  password { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("database", false, false)]
        public  String  database { get; set; }

	      }

  
    [Serializable]
    public partial class sys_log  
    {

		
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("ID", false, true)]
        public  int  ID { get; set; }

	 
        /// <summary>
        ///  创建时间
        /// </summary>
		[ColumnAttribute("createdate", false, false)]
        public  DateTime  createdate { get; set; }

	 
        /// <summary>
        ///  日志
        /// </summary>
		[ColumnAttribute("Log", false, false)]
        public  String  Log { get; set; }

	 
        /// <summary>
        ///  开始时间
        /// </summary>
		[ColumnAttribute("begindate", false, false)]
        public  DateTime  begindate { get; set; }

	 
        /// <summary>
        ///  结束时间
        /// </summary>
		[ColumnAttribute("enddate", false, false)]
        public  DateTime  enddate { get; set; }

	 
        /// <summary>
        ///  错误日志
        /// </summary>
		[ColumnAttribute("error_message", false, false)]
        public  String  error_message { get; set; }

	      }

  
    [Serializable]
    public partial class sys_logininfo  
    {

		
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("ID", false, true)]
        public  int  ID { get; set; }

	 
        /// <summary>
        ///  登陆账号
        /// </summary>
		[ColumnAttribute("LoginName", false, false)]
        public  String  LoginName { get; set; }

	 
        /// <summary>
        ///  创建日期
        /// </summary>
		[ColumnAttribute("CreateDate", false, false)]
        public  DateTime  CreateDate { get; set; }

	 
        /// <summary>
        ///  登陆类型（1账号、2手机、3微信、4QQ)
        /// </summary>
		[ColumnAttribute("Type", false, false)]
        public  int  Type { get; set; }

	 
        /// <summary>
        ///  外部编码
        /// </summary>
		[ColumnAttribute("Openkey", false, false)]
        public  String  Openkey { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("UserID", false, false)]
        public  int  UserID { get; set; }

	      }

  
    [Serializable]
    public partial class sys_menu  
    {

		
        /// <summary>
        ///  ID
        /// </summary>
		[ColumnAttribute("ID", false, true)]
        public  int  ID { get; set; }

	 
        /// <summary>
        ///  图标地址
        /// </summary>
		[ColumnAttribute("IcoUrl", false, false)]
        public  String  IcoUrl { get; set; }

	 
        /// <summary>
        ///  菜单名称
        /// </summary>
		[ColumnAttribute("MenuName", false, false)]
        public  String  MenuName { get; set; }

	 
        /// <summary>
        ///  父菜单ID
        /// </summary>
		[ColumnAttribute("ParentID", false, false)]
        public  int  ParentID { get; set; }

	 
        /// <summary>
        ///  路径
        /// </summary>
		[ColumnAttribute("PagePath", false, false)]
        public  String  PagePath { get; set; }

	 
        /// <summary>
        ///  级别
        /// </summary>
		[ColumnAttribute("Level", false, false)]
        public  int  Level { get; set; }

	 
        /// <summary>
        ///  排序
        /// </summary>
		[ColumnAttribute("Sort", false, false)]
        public  int  Sort { get; set; }

	 
        /// <summary>
        ///  状态（0有效 1无效）
        /// </summary>
		[ColumnAttribute("States", false, false)]
        public  int  States { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("projectid", false, false)]
        public  int  projectid { get; set; }

	      }

  
    [Serializable]
    public partial class sys_menu_copy  
    {

		
        /// <summary>
        ///  ID
        /// </summary>
		[ColumnAttribute("ID", false, true)]
        public  int  ID { get; set; }

	 
        /// <summary>
        ///  图标地址
        /// </summary>
		[ColumnAttribute("IcoUrl", false, false)]
        public  String  IcoUrl { get; set; }

	 
        /// <summary>
        ///  菜单名称
        /// </summary>
		[ColumnAttribute("MenuName", false, false)]
        public  String  MenuName { get; set; }

	 
        /// <summary>
        ///  父菜单ID
        /// </summary>
		[ColumnAttribute("ParentID", false, false)]
        public  int  ParentID { get; set; }

	 
        /// <summary>
        ///  路径
        /// </summary>
		[ColumnAttribute("PagePath", false, false)]
        public  String  PagePath { get; set; }

	 
        /// <summary>
        ///  级别
        /// </summary>
		[ColumnAttribute("Level", false, false)]
        public  int  Level { get; set; }

	 
        /// <summary>
        ///  排序
        /// </summary>
		[ColumnAttribute("Sort", false, false)]
        public  int  Sort { get; set; }

	 
        /// <summary>
        ///  状态（0有效 1无效）
        /// </summary>
		[ColumnAttribute("States", false, false)]
        public  int  States { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("projectid", false, false)]
        public  int  projectid { get; set; }

	      }

  
    [Serializable]
    public partial class sys_project  
    {

		
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("ID", false, true)]
        public  int  ID { get; set; }

	 
        /// <summary>
        ///  项目名称
        /// </summary>
		[ColumnAttribute("project_name", false, false)]
        public  String  project_name { get; set; }

	 
        /// <summary>
        ///  状态（0使用1禁用）
        /// </summary>
		[ColumnAttribute("states", false, false)]
        public  int  states { get; set; }

	 
        /// <summary>
        ///  项目存储数据服务器IP
        /// </summary>
		[ColumnAttribute("data_server", false, false)]
        public  String  data_server { get; set; }

	 
        /// <summary>
        ///  服务器账号
        /// </summary>
		[ColumnAttribute("data_login", false, false)]
        public  String  data_login { get; set; }

	 
        /// <summary>
        ///  服务器密码
        /// </summary>
		[ColumnAttribute("data_password", false, false)]
        public  String  data_password { get; set; }

	 
        /// <summary>
        ///  数据库名称
        /// </summary>
		[ColumnAttribute("data_database", false, false)]
        public  String  data_database { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("open_key", false, false)]
        public  String  open_key { get; set; }

	      }

  
    [Serializable]
    public partial class sys_task  
    {

		
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("ID", false, true)]
        public  int  ID { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("name", false, false)]
        public  String  name { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("server", false, false)]
        public  String  server { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("database", false, false)]
        public  String  database { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("login", false, false)]
        public  String  login { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("password", false, false)]
        public  String  password { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("begin_sql", false, false)]
        public  String  begin_sql { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("end_sql", false, false)]
        public  String  end_sql { get; set; }

	      }

  
    [Serializable]
    public partial class sys_task_config  
    {

		
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("ID", false, true)]
        public  int  ID { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("task_id", false, false)]
        public  int  task_id { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("table_name", false, false)]
        public  String  table_name { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("upload_sql", false, false)]
        public  String  upload_sql { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("exec_sql", false, false)]
        public  String  exec_sql { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("export_sql", false, false)]
        public  String  export_sql { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("delete_sql", false, false)]
        public  String  delete_sql { get; set; }

	 
        /// <summary>
        ///  是否有效
        /// </summary>
		[ColumnAttribute("IsEnable", false, false)]
        public  int  IsEnable { get; set; }

	      }

  
    [Serializable]
    public partial class sys_user  
    {

		
        /// <summary>
        ///  ID
        /// </summary>
		[ColumnAttribute("ID", false, true)]
        public  int  ID { get; set; }

	 
        /// <summary>
        ///  创建人
        /// </summary>
		[ColumnAttribute("CreateUser", false, false)]
        public  int  CreateUser { get; set; }

	 
        /// <summary>
        ///  创建时间
        /// </summary>
		[ColumnAttribute("CreateDate", false, false)]
        public  DateTime  CreateDate { get; set; }

	 
        /// <summary>
        ///  修改人ID
        /// </summary>
		[ColumnAttribute("Updateuser", false, false)]
        public  int  Updateuser { get; set; }

	 
        /// <summary>
        ///  修改时间
        /// </summary>
		[ColumnAttribute("UpdateDate", false, false)]
        public  DateTime  UpdateDate { get; set; }

	 
        /// <summary>
        ///  用户姓名
        /// </summary>
		[ColumnAttribute("UserName", false, false)]
        public  String  UserName { get; set; }

	 
        /// <summary>
        ///  头像地址
        /// </summary>
		[ColumnAttribute("HeadPortrait", false, false)]
        public  String  HeadPortrait { get; set; }

	 
        /// <summary>
        ///  手机号
        /// </summary>
		[ColumnAttribute("Mobile", false, false)]
        public  String  Mobile { get; set; }

	 
        /// <summary>
        ///  邮箱
        /// </summary>
		[ColumnAttribute("Mail", false, false)]
        public  String  Mail { get; set; }

	 
        /// <summary>
        ///  用户组
        /// </summary>
		[ColumnAttribute("GroupID", false, false)]
        public  int  GroupID { get; set; }

	 
        /// <summary>
        ///  公司名称
        /// </summary>
		[ColumnAttribute("CorporateName", false, false)]
        public  String  CorporateName { get; set; }

	 
        /// <summary>
        ///  部门
        /// </summary>
		[ColumnAttribute("Department", false, false)]
        public  String  Department { get; set; }

	 
        /// <summary>
        ///  职务
        /// </summary>
		[ColumnAttribute("Duties", false, false)]
        public  String  Duties { get; set; }

	 
        /// <summary>
        ///  有效状态（1有效  0无效）
        /// </summary>
		[ColumnAttribute("States", false, false)]
        public  int  States { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("Password", false, false)]
        public  String  Password { get; set; }

	 
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("Perfect", false, false)]
        public  int  Perfect { get; set; }

	      }

  
    [Serializable]
    public partial class sys_user_project  
    {

		
        /// <summary>
        ///  
        /// </summary>
		[ColumnAttribute("ID", false, true)]
        public  int  ID { get; set; }

	 
        /// <summary>
        ///  用户编码
        /// </summary>
		[ColumnAttribute("userid", false, false)]
        public  int  userid { get; set; }

	 
        /// <summary>
        ///  项目编码
        /// </summary>
		[ColumnAttribute("projectid", false, false)]
        public  int  projectid { get; set; }

	      }

 
}


