﻿using SuValue.Database;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SuValue.Entity.Request
{
    /// <summary>
    /// 用户实体类
    /// </summary>
    public class EntityUser : EntityBase
    {


        /// <summary>
        ///  用户ID
        /// </summary>
        public int ID { get; set; }

        /// <summary>
        ///  收手机验证码
        /// </summary>
        public string MobileCode { get; set; }


        /// <summary>
        ///  头像地址
        /// </summary>
        public string HeadPortrait { get; set; }

        /// <summary>
        ///  用户姓名
        /// </summary>
        public string UserName { get; set; }

        /// <summary>
        ///  手机号
        /// </summary>
        public string Mobile { get; set; }

        /// <summary>
        ///  公司名称
        /// </summary>
        public string CorporateName { get; set; }


        /// <summary>
        ///  部门
        /// </summary>
        public string Department { get; set; }

        /// <summary>
        ///  职务
        /// </summary>
        public string Duties { get; set; }

        /// <summary>
        ///  邮箱
        /// </summary>
        public string Mail { get; set; }

        /// <summary>
        ///  微信号
        /// </summary>
        public string LandingCode { get; set; }

        /// <summary>
        ///  信息是否完善
        /// </summary>
        public int Perfect { get; set; }



    }
}
