﻿using SuValue.Database;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SuValue.Entity.Request
{
    /// <summary>
    /// 需要搜索的条件字段
    /// </summary>
    public class condition
    {
        /// <summary>
        ///  开始时间
        /// </summary>
        [ColumnAttribute("StartTime", false, true)]
        public DateTime StartTime { get; set; }

        /// <summary>
        ///  结束时间
        /// </summary>
        [ColumnAttribute("EndTime", false, true)]
        public DateTime EndTime { get; set; }

        /// <summary>
        ///  疾病
        /// </summary>
        [ColumnAttribute("Disease", false, true)]
        public int Disease { get; set; }


        /// <summary>
        ///  医院等级
        /// </summary>
        [ColumnAttribute("HospLevel", false, true)]
        public int HospLevel { get; set; }

        /// <summary>
        ///  医院性质
        /// </summary>
        [ColumnAttribute("HospNature", false, true)]
        public int HospNature { get; set; }


        /// <summary>
        ///  城市
        /// </summary>
        [ColumnAttribute("CityCode", false, true)]
        public int CityCode { get; set; }

        /// <summary>
        ///  通用名
        /// </summary>
        [ColumnAttribute("CurrencyName", false, true)]
        public int CurrencyName { get; set; }

        /// <summary>
        ///  商品名称
        /// </summary>
        [ColumnAttribute("CommodityName", false, true)]
        public int CommodityName { get; set; }


    }
}
