﻿using System.Collections.Generic;

namespace SuValue.Entity.Responese
{
    public class EntityDisTable
    {
        /// <summary>
        /// 表单标题
        /// </summary>
        public string title { get; set; }

        /// <summary>
        /// 表单提供方法（1表示可下载图片、2可下载表格、3显示说明、4显示叠加图表）
        /// </summary>
        public List<string> function { get; set; }

        /// <summary>
        /// 表单名称
        /// </summary>
        public string name { get; set; }

        /// <summary>
        /// 表单值（CMI、指数之类）
        /// </summary>
        public string value { get; set; }

        /// <summary>
        /// 去年同期值
        /// </summary>
        public string lastValue { get; set; }

        /// <summary>
        /// 比率
        /// </summary>
        public string ratio { get; set; }

        /// <summary>
        /// 例数（这里指人次）
        /// </summary>
        public string num { get; set; }

        /// <summary>
        /// 去年同期例数
        /// </summary>
        public string lastNum { get; set; }

        /// <summary>
        /// 例数比例(增长率)
        /// </summary>
        public string numRatio { get; set; }

    }
}
