﻿using SuValue.Entity.Enum;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace SuValue.Entity.Responese
{


    public class EntityReport
    {

        /// <summary>
        /// 图表标题
        /// </summary>
        public string title { get; set; }

        /// <summary>
        /// 图表提供方法（1表示可下载图片、2可下载表格、3显示说明、4显示叠加图表）
        /// </summary>
        public List<string> function { get; set; }

        /// <summary>
        /// X轴单位
        /// </summary>
        public string xUnit { get; set; }
        /// <summary>
        /// X轴标题
        /// </summary>
        public string xTitle { get; set; }
        /// <summary>
        /// Y轴单位
        /// </summary>
        public string yUnit { get; set; }
        /// <summary>
        /// Y轴标题
        /// </summary>
        public string yTitle { get; set; }
        /// <summary>
        /// 值单位
        /// </summary>
        public string vUnit { get; set; }
        /// <summary>
        /// 值标题
        /// </summary>
        public string vTitle { get; set; }
        /// <summary>
        /// 说明
        /// </summary>
        public string formula { get; set; }
        /// <summary>
        /// 图表类型 (98 tree)
        /// </summary>
        public int chartType { get; set; }
        /// <summary>
        /// 数据特殊处理 1表示小于百分之2的数据进行合并
        /// </summary>
        public int dataType { get; set; }

        /// <summary>
        /// 是否支持二级数据点击
        /// </summary>
        public int specialType { get; set; }

        /// <summary>
        /// 图表数据
        /// </summary>
        public List<EntityChartData> chartData { get; set; }

        /// <summary>
        /// 树型数据
        /// </summary>
        public List<EntityTreeData> treeData { get; set; }
    }


}
