﻿using Suvalue.Redis;
using SuValue.BLL;
using SuValue.DAL;
using SuValue.Entity;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace SuValue.API.Controllers
{
    public class TestController : Controller
    {
        // GET: Test
        public ActionResult Index()
        {
           
            return View();
        }

        public ActionResult Task()
        {
            return View();
        }
        /// <summary>
        /// 导入医院数据
        /// </summary>
        /// <param name="taskid">任务编码</param>
        /// <param name="hosid">医院编码，当不填写医院编码讲导入所有医院的数据</param>
        /// <param name="begindate">导入数据开始日期</param>
        /// <param name="enddate">导入医院结束日期</param>
        /// <returns></returns>
        [HttpPost]
        public ActionResult Task(int taskid, int? hosid, DateTime begindate, DateTime enddate)
        {
            TaskBLL bll = new TaskBLL();

            bll.ExecTask(taskid, hosid, begindate, enddate);

            return View();
        }


        //public ActionResult test()
        //{
        //    SMSBLL sbll = new SMSBLL();//短信验证码


        //    EntityResult result = sbll.Mesage("18116218911", Entity.Enum.SMSType.Voice, Entity.Enum.MessageType.Login);

        //    return View();
        //}


        //public ActionResult Redis()
        //{
        //    RedisHelper redis = new RedisHelper();

        //    redis.GetKeys();

        //    bool b = redis.StringSet("redis_string_model", new Entity.EntityResult(Entity.ResultType.Success)); ;

        //    Entity.EntityResult result = redis.StringGet<Entity.EntityResult>("redis_string_model");

        //    return View();
        //}
    }
}