﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SuValue.Entity.Request
{
    public class EntitySearch : EntityBase
    {
        /// <summary>
        /// 菜单编码
        /// </summary>
        public int? MenuID { get; set; }

        /// <summary>
        /// 年
        /// </summary>
        public string Year { get; set; }

        /// <summary>
        /// 月
        /// </summary>
        public string Month { get; set; }

        /// <summary>
        /// 医院级别
        /// </summary>
        public string HosLevel { get; set; }

        /// <summary>
        /// 医院性质
        /// </summary>
        public string HosType { get; set; }

        /// <summary>
        /// 疾病名称
        /// </summary>
        public string Disease { get; set; }

        /// <summary>
        /// 通用名
        /// </summary>
        public string DrugName { get; set; }

        /// <summary>
        /// 商品名称
        /// </summary>
        public string CommonName { get; set; }

        /// <summary>
        /// 数据源
        /// </summary>
        public string Source { get; set; }

        /// <summary>
        /// 省份
        /// </summary>
        public string Province { get; set; }

    }
}
