﻿using SuValue.Database;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SuValue.Entity.Responese
{
    public class EntityMenu
    {
        public EntityMenu(sys_menu item)
        {
            ID = item.ID;

            MenuName = item.MenuName;

            Level = item.Level;

            ParentID = item.ParentID;

            ImgURL = item.IcoUrl;

            MenuList = new List<EntityMenu>();

            PagePath = item.PagePath;

            Sort = item.Sort;

            SearchDataList = new List<EntitySearchData>();
        }

        public EntityMenu()
        { }

        /// <summary>
        ///  菜单ID
        /// </summary>
        public int ID { get; set; }

        /// <summary>
        ///  菜单名称
        /// </summary>
        public string MenuName { get; set; }

        /// <summary>
        ///  菜单级别
        /// </summary>
        public int Level { get; set; }

        /// <summary>
        /// 父ID
        /// </summary>
        public int ParentID { get; set; }

        /// <summary>
        /// 网页路径
        /// </summary>
        public string PagePath { get; set; }

        /// <summary>
        /// 排序 
        /// </summary>
        public int Sort { get; set; }

        /// <summary>
        /// 报表图片
        /// </summary>
        public string ImgURL { get; set; }

        public List<EntityMenu> MenuList { get; set; }

        public List<EntitySearchData> SearchDataList { get; set; }

    }


}
