﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SuValue.Entity.Responese
{
    public class EntitySearchData
    {
        public EntitySearchData(da_selection item)
        {
            Title = item.title;

            Type = item.ctype;

            CName = item.cName;

            Required = item.required;

            Sort = item.sort;

            SelectItemList = new List<Responese.EntitySelectItem>();
        }

        public EntitySearchData() { }

        /// <summary>
        /// 排序
        /// </summary>
        public string Sort { get; set; }
        /// <summary>
        /// 标题
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// 类型 
        /// </summary>
        public int Type { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        public string CName { get; set; }



        /// <summary>
        /// 是否必填
        /// </summary>
        public int Required { get; set; }


        /// <summary>
        /// 数据集合
        /// </summary>

        public List<EntitySelectItem> SelectItemList { get; set; }
    }
}
