﻿using SuValue.Entity;
using SuValue.Entity.Responese;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;

namespace Suvalue.Evaluate.Controllers
{
    public class HomeController : BaseController
    {
        /// <summary>
        /// 获取菜单对应的条件
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        [HttpGet]
        public EntityResult Selection([FromUri]EntityBase model, int menuid)
        {
            try
            {
                if (!Authentication(model.token)) return new EntityResult(ResultType.TokenError);


                return new EntityResult(ResultType.Success, "", new List<EntitySearchData>());
            }
            catch (Exception ex)
            {
                return new EntityResult(ResultType.ServiceError, ex.ToString());
            }
        }

    }
}
